<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Op&eacute;rateur binaires</title>
 </head>
 <body>
<?php
 define("WEB_EOL","<br/>");
 // --- on récupère les données ---
 $nb=$_GET['nb'];
 // --- on traite les données ---
 $nb=intval($nb);

 $filtre = 0b01111111  ; // laisse passer les 7 bits de droite
 $resultat = $nb & $filtre ;
 echo "r&eacute;sultat : ".$resultat.WEB_EOL;
?>
 </body>
</html>


